Opened 9 years ago

Closed 8 years ago

Last modified 3 years ago

#953 closed Task (fixed)

Enhancements and fixes for running with CICE (UKMO8)

Reported by: charris Owned by: hadci
Priority: low Milestone:
Component: OCE Version: release-3.4
Severity: Keywords: 2012
Cc: Review:
MP ready?:
Progress:

Description

This ticket covers code maintenance and any improvements to the NEMO-CICE coupling code including changes to allow CICE to be used with a wider variety of NEMO settings / configurations, or to work with other planned code developments. Any non-trivial bug fixes since 3.4 will also be covered in this ticket.

Commit History (6)

ChangesetAuthorTimeChangeLog
3480charris2012-10-02T11:28:15+02:00

#953 Removing salinity dependence of freezing point for the moment (will be implemented more completely in NEMO3.6). Reversed r3356 of /branches/2012/dev_3352_UKMO8_CICE/NEMOGCM

3477charris2012-09-24T17:09:11+02:00

#953 Documentation update for CICE interface.

3476charris2012-09-24T17:06:21+02:00

#953 Changes to ensure CICE interface will work in regional as well as global configurations.

3357charris2012-04-13T16:03:23+02:00

#953 Removal of unnecessary array.

3356charris2012-04-13T15:48:38+02:00

#953 Changes to give salinity dependence for freezing temperature (except in the fully coupled case when the UM still requires that freezing temperature is fixed as -1.8). More details in ticket.

3355charris2012-04-13T14:05:07+02:00

#953 First set of modifications (details in ticket).

Change History (16)

comment:1 Changed 9 years ago by charris

Branch for this development is https://forge.ipsl.jussieu.fr/nemo/browser/branches/2012/dev_3352_UKMO8_CICE.

First set of changes in [3355] includes the following:

  • Cosmetic change of jpl to jl for consistency with the rest of NEMO
  • Restructuring of the code to calculate emp and emps which also involves
    • Bug-fix for emp so that it includes the freshwater exchanged with ice in the vvl case
    • Limit to prevent ice formation removing an unphysical amount of salt from low salinity surface ocean (which can then cause negative SSS) - see comments in code.

Further changes will be required in conjunction with NOCS04 and NOCS05.

comment:2 Changed 9 years ago by charris

Changes in [3356] introduce a salinity dependence for the freezing point calculation (except when running fully coupled because the UM atmosphere still requires the freezing temperature to be fixed as -1.8):

  • Any setting of Tf in cice_init will be over-written by value passed from NEMO after this
  • When not running fully coupled Tf will be passed to CICE every time-step
  • An optional depth dependence is introduced in the tfreez function to be used when checking initial conditions for temperatures below freezing (and also potentially for checks on assimilation increments)

comment:3 Changed 8 years ago by charris

Changes in [3476] are designed to allow the NEMO-CICE interface to work for regional as well as global configurations (for which results should be unchanged).

comment:4 Changed 8 years ago by charris

[3356] for salinity dependence of freezing point has been reversed in [3480] because the final form and control of this code (and equivalent treatment in other areas of NEMO) needs more work. Will now go into 3.6 instead.

comment:5 Changed 8 years ago by charris

Remaining changes in the dev_3352_UKMO8_CICE branch have now been merged into dev_r3385_NOCS04_HAMF to facilitate testing of embedded sea ice when using CICE.

comment:6 Changed 8 years ago by charris

  • Resolution set to fixed
  • Status changed from new to closed

Closing ticket following 2012 merge.

comment:7 Changed 4 years ago by nicolasmartin

  • Keywords 2012 Developer Interfaces Stream added

comment:8 Changed 4 years ago by nicolasmartin

  • Keywords interfaces added; Interfaces removed

comment:9 Changed 4 years ago by nicolasmartin

  • Keywords Developer removed

comment:10 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_4* added

comment:11 Changed 4 years ago by nicolasmartin

  • Milestone 2012 Stream 2: Developer Interfaces deleted

Milestone 2012 Stream 2: Developer Interfaces deleted

comment:12 Changed 4 years ago by nicolasmartin

  • Keywords interfaces added; DI removed

comment:13 Changed 4 years ago by nicolasmartin

  • Keywords interfaces removed

comment:14 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

comment:15 Changed 3 years ago by nemo

  • Keywords release-3.4* added; nemo_v3_4* removed

comment:16 Changed 3 years ago by nemo

  • Keywords release-3.4* removed
Note: See TracTickets for help on using tickets.